What browsers does XtraMath support?

XtraMath works best on up-to-date browsers. If possible, update your browser to the most recent version. You can check if your browser is up-to-date at Browser-Update.org.

The program requires Javascript in order to run. Javascript is usually already enabled, since most websites require Javascript to work properly. You can enable or disable Javascript in your browser’s security settings.

Shown here are the minimum version numbers for the most popular browsers:

  • Internet Explorer 11
  • Safari 8
  • Chrome 28
  • Firefox 28
  • Other browsers: Many other browsers are based on “WebKit.” Those browsers must use WebKit version 536 or later. Check SupportDetails.net for your browser’s WebKit version.